3 Star 31 Fork 17

食得落 / rocket-api-demo

 / 详情

oracle数据源升级没有对应语句

待办的
创建于  
2021-04-09 10:15

升级到新版后oracle没有对应的升级语句,用提供的建表语句建表有问题

评论 (7)

chenziyue 创建了任务
chenziyue 关联仓库设置为食得落/rocket-api-demo
展开全部操作日志

我缺少oracle环境,你是否可以通过提供的mysql升级脚本来做oracle的升级
https://alenfive.gitbook.io/rocket-api/ban-ben-fa-bu-ji-lu/2.3.6.release

修改了一下mysql的脚本,还是可以用的

可以把oracle脚本分享一下吗,我帖在文档上,供其他人使用

还有想咨询一下项目是怎么sql防注入的?有过这方面的考虑么?

正则,替换特殊符号

有考虑做占位符么?

嗯,好主意,帮我提一个单独的issue吧,我在后面的迭代中处理一下,https://gitee.com/alenfive/rocket-api/issues

登录 后才可以发表评论

状态
负责人
里程碑
Pull Requests
关联的 Pull Requests 被合并后可能会关闭此 issue
分支
开始日期   -   截止日期
-
置顶选项
优先级
参与者(2)
5139840 mihuajun 1589162540
1
https://gitee.com/alenfive/rocket-api-demo.git
git@gitee.com:alenfive/rocket-api-demo.git
alenfive
rocket-api-demo
rocket-api-demo

搜索帮助